| OpenZWave Library 1.6.0

Namespaces | Macros | Typedefs | Functions
HttpClient.cpp File Reference
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <netdb.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sstream>`
`#include <cctype>`
`#include <cerrno>`
`#include <algorithm>`
`#include <assert.h>`
`#include <iostream>`
`#include <string>`
`#include "platform/HttpClient.h"`
`#include "platform/Log.h"`
`#include "Utils.h"`

## Namespaces
| OpenZWave
| OpenZWave::SimpleHTTPClient

## Macros
#define | SOCKET_ERROR (-1)
#define | INVALID_SOCKET (SOCKET)(~0)
#define | SOCKETVALID(s) ((s) != INVALID_SOCKET)
#define | STRNICMP strncasecmp
#define | traceprint(...) {}
#define | DEFAULT_BUFSIZE 4096

## Typedefs
typedef intptr_t | SOCKET

## Functions
bool | OpenZWave::SimpleHTTPClient::HasSSL ()
| Indicates if we support HTTPS requests. More...
int | OpenZWave::SimpleHTTPClient::_GetError ()
std::string | OpenZWave::SimpleHTTPClient::_GetErrorStr (int e)
bool | OpenZWave::SimpleHTTPClient::InitNetwork ()
| Initialize the Network for HTTP requests. More...
void | OpenZWave::SimpleHTTPClient::StopNetwork ()
| Stop the Network for HTTP requests. More...
bool | OpenZWave::SimpleHTTPClient::SplitURI (const std::string &uri, std::string &protocol, std::string &host, std::string &file, int &port, bool &useSSL)
void | OpenZWave::SimpleHTTPClient::URLEncode (const std::string &s, std::string &enc)
| Encode a String suitable for sending as a URL request (eg Get) More...

## Macro Definition Documentation

## ◆ DEFAULT_BUFSIZE

#define DEFAULT_BUFSIZE 4096

## ◆ INVALID_SOCKET

#define INVALID_SOCKET (SOCKET)(~0)

## ◆ SOCKET_ERROR

#define SOCKET_ERROR (-1)

## ◆ SOCKETVALID

#define SOCKETVALID | ( |  | s | ) | ((s) != INVALID_SOCKET)

## ◆ STRNICMP

#define STRNICMP strncasecmp

## ◆ traceprint

#define traceprint | ( |  | ... | ) | {}

## Typedef Documentation

## ◆ SOCKET

typedef intptr_t SOCKET